Subject: Re: [Ecrit] Stephen Farrell's No Objection on draft-ietf-ecrit-held-routing-04: (with COMMENT)

From: James Winterbottom <[email-masked]>
Date: Fri, 8 Apr 2016 22:40:21 +1000

Hi Stephen,

This document is now in AUTH48 and I wanted to make sure that issue you raised below was addressed to your satisfaction.

Would the following addition to the second paragraph os section 4 address your concern?

The request element indicates that the requestor wants the LIS to
   provide routing information based on the location of the end-device.
   If the routing request is sent with no attribute then URIs for
   urn:service:sos are returned.  If the requestor wants routing
   information for a specific service then they may include an optional
   service URN. This service MUST exist in the IANA URN Service Labels repository
   created by [RFC5031].  If a service is specified, and the LIS does not
   understand the requested service then URIs for urn:service:sos are
   returned.

Cheers
James

> On 4 Feb 2016, at 11:38 pm, Stephen Farrell <[email-masked]> wrote:
> 
> Stephen Farrell has entered the following ballot position for
> draft-ietf-ecrit-held-routing-04: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-ecrit-held-routing/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> 
> section 4: The optional service URN seems like a thing where
> it could be dangerous to be over-general, and where being
> specific to emergency calling services would be a good
> restriction. I would not like "service=urn:advertising" to be
> something that'd work here. (At least not without
> consideration of how that could be used for ad blocking:-)
> The registry from RFC5031 does however seem to control that
> correctly (via standards action or ECRIT WG/IESG review) so I
> think it'd be better here to say that the service URN MUST be
> in that specific registry. If that is already in the text
> that's fine, but I didn't read it as quite having that MUST.
> 
>

---

From: Stephen Farrell <[email-masked]>
Date: Fri, 8 Apr 2016 14:47:59 +0100

On 08/04/16 13:40, James Winterbottom wrote:
> Hi Stephen,
> 
> This document is now in AUTH48 and I wanted to make sure that issue
> you raised below was addressed to your satisfaction.
> 

Yes, that addresses the concern just fine.
Thanks,
S.

> service URN. This service MUST exist in the IANA URN Service Labels
> repository created by [RFC5031].  If a service is specified, and the
> LIS does not understand the requested service then URIs for
> urn:service:sos are returned.
> 
> 
> Cheers James
> 
> 
>> When responding, please keep the subject line intact and reply to
>> all email addresses included in the To and CC lines. (Feel free to
>> cut this introductory paragraph, however.)
>> 
>> 
>> Please refer to
>> https://www.ietf.org/iesg/statement/discuss-criteria.html for more
>> information about IESG DISCUSS and COMMENT positions.
>> 
>> 
>> it could be dangerous to be over-general, and where being specific
>> to emergency calling services would be a good restriction. I would
>> not like "service=urn:advertising" to be something that'd work
>> here. (At least not without consideration of how that could be used
>> for ad blocking:-) The registry from RFC5031 does however seem to
>> control that correctly (via standards action or ECRIT WG/IESG
>> review) so I think it'd be better here to say that the service URN
>> MUST be in that specific registry. If that is already in the text